#include <stdio.h>
#include <stdlib.h>
#include "mpi.h"

int main(int argc, char ** argv)
{
	int * send, * recv, size, i;
	int * sendcnts, * recvcnts, * sdispls, * rdispls;

	MPI_Init(&argc, &argv);
	MPI_Comm_size(MPI_COMM_WORLD, &size);

	sendcnts = (void *) malloc(size * sizeof(int));
	recvcnts = (void *) malloc(size * sizeof(int));
	sdispls = (void *) malloc(size * sizeof(int));
	rdispls = (void *) malloc(size * sizeof(int));

	for (i = 0; i < size; i++) {
		sendcnts[i] = 1000;
		recvcnts[i] = 1000;
		sdispls[i] = 0;
		rdispls[i] = i * 1000;
	}

	send = (void *) malloc(1000 * sizeof(int));
	recv = (void *) malloc(1000 * size * sizeof(int));

/* 	MPI_Alltoall(send, 1000, MPI_INT, recv, 1000, MPI_INT, MPI_COMM_WORLD); */
	MPI_Alltoallv(send, sendcnts, sdispls, MPI_INT, recv, recvcnts, rdispls, MPI_INT, MPI_COMM_WORLD);

	printf("Completed executing\n");

	MPI_Finalize();

	return 0;
}
