/*#####################################################################
#                                                                   #
#      (c) COPYRIGHT IBM CORP. 2006 ALL RIGHTS RESERVED.             #
#                                                                   #
#                LICENSED MATERIALS-PROPERTY OF IBM.                #
#                                                                   #
#####################################################################
*/
#ifndef   _COMPLEX_TYPE_HPP_
#define   _COMPLEX_TYPE_HPP_

// very simple complex class...

template < typename T >
class complexType
{
public:
  T _re;
  T _im;

  complexType(){ }
  complexType(T re, T im):_re(_re),_im(_im){}  
  complexType(const complexType& c) { _re = c._re; _im = c._im; }
  
  complexType& operator=(const complexType& ct)
  {	
    _re=ct._re; _im=ct._im;
    return *this;
  }
  
} ;

#endif
