#####################################################################
#                                                                   #
#      (c) COPYRIGHT IBM CORP. 2006 ALL RIGHTS RESERVED.            #
#                                                                   #
#                LICENSED MATERIALS-PROPERTY OF IBM.                #
#                                                                   #
#####################################################################



BGL_MPI_PATH =

MPI_LIBS = -L$(BGL_MPI_PATH)/lib -lmpich.rts -lmsglayer.rts -lrts.rts -ldevices.rts 
MPI_INC  = -I$(BGL_MPI_PATH)/include

BGL_ESSL_PATH = 
ESSL_LIB     =  $(BGL_ESSL_PATH)/libesslbg.a

BLRTS_PATH =

LFLAGS=  $(MPI_LIBS) -L/$(BLRTS_PATH)/blrts_lib -lxlf90 -lxlfmath -lxl   $(MPI_LIBS) 
CCC_FLAGS = -qarch=440 -O3 -g -qsource  $(MPI_INC) -DMPICH_SKIP_MPICXX  -I./../inc/ -I./ -I./../obj/  

CCC_XLC = blrts_xlC  

OBJ = bgl3dfft.tst.o  
OBJ_BGL3DFFT_DOUBLE = ../obj/dbgl3dfft.o

.cpp.o:  $(OBJ)
	$(CCC_XLC) -c $<   $(CCC_FLAGS)

default: dbgl3dfft.tst.rts

dbgl3dfft.tst.rts: $(OBJ)
	$(CCC_XLC) $(OBJ) $(OBJ_BGL3DFFT_DOUBLE) $(ESSL_LIB) $(LFLAGS) -lm -o fft.rts

clean:
	rm -f *.o fft.rts
