#!/bin/sh

CLOG2TOSLOG2="/home/chan/mpe_work/install_ibm/bin/clog2TOslog2"

for clog2file in *np32.clog2 ; do
    prefix="`echo ${clog2file} | sed 's/.clog2$//'`"
    slog2file="${prefix}.slog2"
    if [ ! -s "${slog2file}" ] ; then
        convert_cmd="${CLOG2TOSLOG2} ${clog2file}"
        echo "Converting $clog2file to slog2 file ...."
        ${convert_cmd}
    else
        echo "${slog2file} is already there."
        ls -l ${clog2file} ${slog2file}
    fi
done
