subroutine divch(ux_k,uy_k,uz_k)

 use p3dfft_var
 use com

 implicit none

 complex(mytype), dimension(iistart:iiend,jjstart:jjend,1:nz) :: ux_k,uy_k,uz_k,div 
 real(mytype)::divslab,divmax	

!-------Divergence check
  do z=1,nz
     do y=jjstart,jjend
        do x=iistart,iiend
           div(x,y,z)=ima*kx(x)*ux_k(x,y,z)+ &
	              ima*ky(y)*uy_k(x,y,z)+ &
	              ima*kz(z)*uz_k(x,y,z)
        enddo
     enddo
  enddo

 divslab=maxval(abs(div(:,:,:)))

 call MPI_Reduce(divslab,divmax,1,MPI_REAL,MPI_MAX,0,MPI_COMM_WORLD,ierr)

 if(taskid.eq.0)write(20,*)time,divmax

end subroutine divch
