subroutine masks(zp)
!-----------------------------------------------------------
!
!    ATTENTION: Lz=twopi holds always
!    Dealiasing is there related to the vertical resolution
!
!-----------------------------------------------------------
 use p3dfft_var
 use com

 implicit none

 integer      :: zp
 real(mytype) :: rnxi,two9
 real(mytype) :: sqkyz,sqkz,sqk

 two9=2./9.*nz*nz
 mask(:,:)=0.

 if (zp.eq.nzhp) return           ! k_z=N/2 always gets mask=0. 

 sqkz=kz(zp)**2

 do y=jjstart,jjend

   if (y.eq.nyhp) go to 20        ! k_y=N/2 always gets mask=0.

   sqkyz=ky(y)**2 + sqkz

   do x=iistart,iiend             ! k_x=N/2 always gets mask=0.

     sqk=kx(x)**2 + sqkyz

     if(sqk.gt.two9) then
       mask(x,y)=0.
     else
       mask(x,y)=1.
!       if(taskid.eq.0)write(30,*)x,y,z,kx(x),ky(y),kz(zp)
!       if(taskid.eq.1)write(31,*)x,y,z,kx(x),ky(y),kz(zp)
!       if(taskid.eq.2)write(32,*)x,y,z,kx(x),ky(y),kz(zp)
!       if(taskid.eq.3)write(33,*)x,y,z,kx(x),ky(y),kz(zp)
     endif

   enddo

20 continue

 enddo

end subroutine masks
